# from django.shortcuts import render
from rest_framework.response import Response
from rest_framework.views import APIView
from django.http import HttpResponse

from template.serializers import InstanceTemplateSerializer
from template.serializers import ImageTemplateModelSerializer
from template.models import ImageTemplate


class TemplateList(APIView):
    def post(self, request, format=None):
        serializer = InstanceTemplateSerializer(data=request.data)
        serializer.is_valid()
        data = serializer.validated_data
        new_template = ImageTemplate.create_from_instance(data["name"], data["description"], data["instance_remote_id"], request.user)
        serializer = ImageTemplateModelSerializer(instance=new_template)
        return Response(serializer.data)
